Bug 1431497 - openvswitch: /var/log/openvswitch is world readable
Summary: openvswitch: /var/log/openvswitch is world readable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openvswitch
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: zstream
: 7.0 (Kilo)
Assignee: Timothy Redaelli
QA Contact: Ofer Blaut
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-13 02:08 UTC by Summer Long
Modified: 2017-09-12 17:21 UTC (History)
22 users (show)

Fixed In Version: openvswitch-2.5.0-15.git20160727.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1431495
: 1431499 (view as bug list)
Environment:
Last Closed: 2017-09-12 17:21:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2698 normal SHIPPED_LIVE Moderate: openvswitch security update 2017-09-12 21:20:40 UTC

Description Summer Long 2017-03-13 02:08:19 UTC
Description of problem:
The directory /var/log/openvswitch is world readable and contains log files that are readable, which can result in the exposure of sensitive information. The 'other readable/execute' bits need to be removed from the /var/log/openvswitch directory.

Because no sensitive data was found in the files, this is being raised as a hardening bug, and not a flaw.

Version-Release number of selected component (if applicable):
openvswitch-2.5.0-14.git20160727.el7fdp

Steps to reproduce:
$ ls -la /var/log/openvswitch
total 40
drwxr-xr-x.  2 root root    52 Mar  6 20:40 .
drwxr-xr-x. 28 root root  4096 Mar 12 21:57 ..
-rw-r--r--.  1 root root  2106 Mar 12 21:57 ovsdb-server.log
-rw-r--r--.  1 root root 28922 Mar 12 21:59 ovs-vswitchd.log

Comment 3 Lon Hohberger 2017-09-05 13:53:15 UTC
[root@localhost ~]# rpm -ivh openvswitch-2.5.0-14.git20160727.el7fdp.x86_64.rpm
Preparing...                          ################################# [100%]
Updating / installing...
   1:openvswitch-2.5.0-14.git20160727.################################# [100%]
[root@localhost ~]# ls -ld /var/log/openvswitch/
drwxr-xr-x. 2 root root 6 Oct  4  2016 /var/log/openvswitch/
       ^^^ other read/execute bits set


[root@localhost ~]# rpm -Uvh openvswitch-2.5.0-15.git20160727.el7ost.x86_64.rpm
Preparing...                          ################################# [100%]
Updating / installing...
   1:openvswitch-2.5.0-15.git20160727.################################# [ 50%]
Cleaning up / removing...
   2:openvswitch-2.5.0-14.git20160727.################################# [100%]
[root@localhost ~]# ls -ld /var/log/openvswitch/
drwxr-x---. 2 root root 6 Jul 26 08:58 /var/log/openvswitch/
       ^^^ other read/execute bits not set.

Comment 5 errata-xmlrpc 2017-09-12 17:21:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2698


Note You need to log in before you can comment on or make changes to this bug.